# Couenne::CouenneMultiVarProbe Class Reference

`#include <CouenneMultiVarProbe.hpp>`

List of all members.

## Public Member Functions
| CouenneMultiVarProbe (CouenneSetup *couenne, const Ipopt::SmartPtr< Ipopt::OptionsList > options)
| Constructor.
| CouenneMultiVarProbe (const CouenneMultiVarProbe &rhs)
| Copy constructor.
| ~CouenneMultiVarProbe ()
| Destructor.
CouenneMultiVarProbe * | clone () const
| Clone method (necessary for the abstract CglCutGenerator class).
void | generateCuts (const OsiSolverInterface &solver, OsiCuts &cuts, const CglTreeInfo=CglTreeInfo()) const
| The main CglCutGenerator; not implemented yet.
## Protected Attributes
CouenneSetup * | couenne_
| Pointer to the CouenneProblem representation.
int | numCols_
| Number of columns (want to have this handy).
double | maxTime_
| Maximum time to probe one variable.

## Detailed Description

Definition at line 25 of file CouenneMultiVarProbe.hpp.

## Constructor & Destructor Documentation

Couenne::CouenneMultiVarProbe::CouenneMultiVarProbe | ( | CouenneSetup * | couenne,
|  | const Ipopt::SmartPtr< Ipopt::OptionsList > | options |
| ) |  |  |

Constructor.

Referenced by clone().

Couenne::CouenneMultiVarProbe::CouenneMultiVarProbe | ( | const CouenneMultiVarProbe & | rhs | ) |

Copy constructor.

Couenne::CouenneMultiVarProbe::~CouenneMultiVarProbe | ( |  | ) |

Destructor.

## Member Function Documentation

CouenneMultiVarProbe* Couenne::CouenneMultiVarProbe::clone | ( |  | ) | const`[inline]`

Clone method (necessary for the abstract CglCutGenerator class).

Definition at line 40 of file CouenneMultiVarProbe.hpp.

References CouenneMultiVarProbe().

void Couenne::CouenneMultiVarProbe::generateCuts | ( | const OsiSolverInterface & | solver,
|  | OsiCuts & | cuts,
|  | const | CglTreeInfo = `CglTreeInfo()` |
| ) |  |  | const

The main CglCutGenerator; not implemented yet.

## Member Data Documentation

CouenneSetup* Couenne::CouenneMultiVarProbe::couenne_`[protected]`

Pointer to the CouenneProblem representation.

Definition at line 51 of file CouenneMultiVarProbe.hpp.

int Couenne::CouenneMultiVarProbe::numCols_`[protected]`

Number of columns (want to have this handy).

Definition at line 54 of file CouenneMultiVarProbe.hpp.

double Couenne::CouenneMultiVarProbe::maxTime_`[protected]`

Maximum time to probe one variable.

Definition at line 57 of file CouenneMultiVarProbe.hpp.

The documentation for this class was generated from the following file:

- CouenneMultiVarProbe.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines